﻿
using System.Collections.Generic;

namespace HttpResult.Models
{
    public class Car
    {
        public string Name { get; set; }
        public string Price { get; set; }
        public string Manufacturer { get; set; }
        public int Year { get; set; }
        public string Image { get; set; }
    }

    public class CarRepository
    {
        public IEnumerable<Car> GetAll()
        {
            var url = @"http://localhost:7777/content/cars/";

            var cars = new List<Car>
            {
                new Car{ Name = "Benz", Manufacturer = "Benz", Price = "$100,00,000", Year = 2011, Image = url + "benz.jpg"},
                new Car{ Name = "Audi", Manufacturer = "Audi", Price = "$90,00,000", Year = 2011, Image = url + "audi.jpg"},
                new Car{ Name = "BMW", Manufacturer = "BMW", Price = "$150,00,000", Year = 2011, Image = url + "bmw.jpg"},
                new Car{ Name = "Jaguar", Manufacturer = "Jaguar", Price = "$180,00,000", Year = 2011, Image = url + "jaguar.jpg"},
                new Car{ Name = "RollsRoyce", Manufacturer = "RollsRoyce", Price = "$200,00,000", Year = 2011, Image = url + "rollsroyce.jpg"}
            };

            return cars;
        }
    }
}